#include <stdio.h>
#include <stdlib.h>
int main(int argc, char *argv[]) {
	int n,hi,i,l,br=0;
	scanf("%d",&n);
	scanf("%d",&l);
	int t[n];
	for(i=0;i<n;i++){
		scanf("%d",&t[i]);
	}
	for(i=0;i<n;i++){
		if(t[i]<=l){
			printf("%d",i+1);
			break;
		}else
			br+=1;
	}
	if(br==n){
		printf("\n-1");
	}
	return 0;
}